Skip to content

Your data / Recruitment tracker / Sessions

List sessions

GET
https://ba.joexyz.online/api/v1/me/recruitment/accounts/:accountId/sessions

Lists the account's sessions, newest first.

Parameters

  • accountId (path): The recruitment account id.

Authentication

Bearer Token — send Authorization: Bearer <token>. Inherited from folder "Your data".

Path parameters

NameValue
accountId
curl https://ba.joexyz.online/api/v1/me/recruitment/accounts/:accountId/sessions \
  -H 'Authorization: Bearer {{api_key}}'
Response
{
  "data": [
    {
      "id": "m97av0zgt5v6bbmt5ny2pgq1w98h4g6q",
      "createdAt": "2026-10-28T11:32:05.383Z",
      "name": "Racing HifuAzu",
      "computedStats": {
        "earnedRebateTickets": 3,
        "endCharge": 3,
        "experiencedPURate": 1.3071895424836601,
        "experiencedThreeStarRate": 2.6143790849673203,
        "hardPities": 0,
        "limitedEndCharge": 3,
        "paidPulls": 133,
        "permanentEndCharge": 0,
        "pickupClassifications": [
          {
            "studentId": "hifumi_racing",
            "charge": 100,
            "classification": "softWin",
            "kind": "limited"
          },
          {
            "studentId": "azusa_racing",
            "charge": 58,
            "classification": "beforeSoftPity",
            "kind": "limited"
          }
        ],
        "pickupCount": 2,
        "pools": {
          "limited": {
            "endCharge": 3,
            "hardPities": 0,
            "pickupCount": 2,
            "pulls": 153,
            "softPityLosses": 0,
            "softPityWins": 1,
            "startCharge": 8
          },
          "permanent": {
            "endCharge": 0,
            "hardPities": 0,
            "pickupCount": 0,
            "pulls": 0,
            "softPityLosses": 0,
            "softPityWins": 0,
            "startCharge": 0
          }
        },
        "pullsPerPU": 76.5,
        "pullsPerThreeStar": 38.25,
        "pyroxenesSaved": 2400,
        "pyroxenesSpent": 15960,
        "rebatePulls": 20,
        "rebateTicketsUsed": 2,
        "remainingRebateTickets": 1,
        "softPityLosses": 0,
        "softPityWins": 1
      },
      "date": 1793186803513,
      "isFestBanner": false,
      "isLatest": true,
      "kind": "limited",
      "limitedPulls": 153,
      "limitedStartCharge": 8,
      "permanentPulls": 0,
      "permanentStartCharge": 0,
      "pickupsObtained": [
        {
          "studentId": "hifumi_racing",
          "charge": 100,
          "kind": "limited"
        },
        {
          "studentId": "azusa_racing",
          "charge": 58,
          "kind": "limited"
        }
      ],
      "rebateTicketsFromPreviousSession": 0,
      "rebateTicketsUsed": 2,
      "recruitmentAccountId": "m575f032hbdgstqydc8qbfx4318d039r",
      "startCharge": 8,
      "stats": {
        "earnedRebateTickets": 3,
        "endCharge": 3,
        "experiencedPURate": 1.3071895424836601,
        "experiencedThreeStarRate": 2.6143790849673203,
        "hardPities": 0,
        "limitedEndCharge": 3,
        "paidPulls": 133,
        "permanentEndCharge": 0,
        "pickupClassifications": [
          {
            "studentId": "hifumi_racing",
            "charge": 100,
            "classification": "softWin",
            "kind": "limited"
          },
          {
            "studentId": "azusa_racing",
            "charge": 58,
            "classification": "beforeSoftPity",
            "kind": "limited"
          }
        ],
        "pickupCount": 2,
        "pools": {
          "limited": {
            "endCharge": 3,
            "hardPities": 0,
            "pickupCount": 2,
            "pulls": 153,
            "softPityLosses": 0,
            "softPityWins": 1,
            "startCharge": 8
          },
          "permanent": {
            "endCharge": 0,
            "hardPities": 0,
            "pickupCount": 0,
            "pulls": 0,
            "softPityLosses": 0,
            "softPityWins": 0,
            "startCharge": 0
          }
        },
        "pullsPerPU": 76.5,
        "pullsPerThreeStar": 38.25,
        "pyroxenesSaved": 2400,
        "pyroxenesSpent": 15960,
        "rebatePulls": 20,
        "rebateTicketsUsed": 2,
        "remainingRebateTickets": 1,
        "softPityLosses": 0,
        "softPityWins": 1
      },
      "threeStarCount": 4,
      "totalPulls": 153
    },
    {
      "id": "m97dzgewm2eyqcbw014ar1hfg98fvedh",
      "createdAt": "2026-10-07T10:38:23.314Z",
      "name": "Tsumugi",
      "computedStats": {
        "earnedRebateTickets": 0,
        "endCharge": 0,
        "experiencedPURate": 3.3333333333333335,
        "experiencedThreeStarRate": 6.666666666666667,
        "hardPities": 0,
        "limitedEndCharge": 8,
        "paidPulls": 20,
        "permanentEndCharge": 0,
        "pickupClassifications": [
          {
            "studentId": "tsumugi",
            "charge": 100,
            "classification": "softWin",
            "kind": "permanent"
          }
        ],
        "pickupCount": 1,
        "pools": {
          "limited": {
            "endCharge": 8,
            "hardPities": 0,
            "pickupCount": 0,
            "pulls": 0,
            "softPityLosses": 0,
            "softPityWins": 0,
            "startCharge": 8
          },
          "permanent": {
            "endCharge": 0,
            "hardPities": 0,
            "pickupCount": 1,
            "pulls": 30,
            "softPityLosses": 0,
            "softPityWins": 1,
            "startCharge": 70
          }
        },
        "pullsPerPU": 30,
        "pullsPerThreeStar": 15,
        "pyroxenesSaved": 1200,
        "pyroxenesSpent": 2400,
        "rebatePulls": 10,
        "rebateTicketsUsed": 1,
        "remainingRebateTickets": 0,
        "softPityLosses": 0,
        "softPityWins": 1
      },
      "date": 1791369461069,
      "isFestBanner": false,
      "isLatest": true,
      "kind": "permanent",
      "limitedPulls": 0,
      "limitedStartCharge": 8,
      "permanentPulls": 30,
      "permanentStartCharge": 70,
      "pickupsObtained": [
        {
          "studentId": "tsumugi",
          "charge": 100,
          "kind": "permanent"
        }
      ],
      "rebateTicketsFromPreviousSession": 1,
      "rebateTicketsUsed": 1,
      "recruitmentAccountId": "m575f032hbdgstqydc8qbfx4318d039r",
      "startCharge": 70,
      "stats": {
        "earnedRebateTickets": 0,
        "endCharge": 0,
        "experiencedPURate": 3.3333333333333335,
        "experiencedThreeStarRate": 6.666666666666667,
        "hardPities": 0,
        "limitedEndCharge": 8,
        "paidPulls": 20,
        "permanentEndCharge": 0,
        "pickupClassifications": [
          {
            "studentId": "tsumugi",
            "charge": 100,
            "classification": "softWin",
            "kind": "permanent"
          }
        ],
        "pickupCount": 1,
        "pools": {
          "limited": {
            "endCharge": 8,
            "hardPities": 0,
            "pickupCount": 0,
            "pulls": 0,
            "softPityLosses": 0,
            "softPityWins": 0,
            "startCharge": 8
          },
          "permanent": {
            "endCharge": 0,
            "hardPities": 0,
            "pickupCount": 1,
            "pulls": 30,
            "softPityLosses": 0,
            "softPityWins": 1,
            "startCharge": 70
          }
        },
        "pullsPerPU": 30,
        "pullsPerThreeStar": 15,
        "pyroxenesSaved": 1200,
        "pyroxenesSpent": 2400,
        "rebatePulls": 10,
        "rebateTicketsUsed": 1,
        "remainingRebateTickets": 0,
        "softPityLosses": 0,
        "softPityWins": 1
      },
      "threeStarCount": 2,
      "totalPulls": 30
    }
  ]
}

Joe's Blue Archive Tools API · exported Nov 1, 2026

llms.txtBuilt with yaakdoc